OrganizationManagerImpl (Custom Portal Handler 1.3.0-SNAPSHOT API)
Date: 2014-02-27

org.gcube.portal.custom.communitymanager.impl

## Class OrganizationManagerImpl

- java.lang.Object
- - org.gcube.portal.custom.communitymanager.OrganizationsUtil
  - - org.gcube.portal.custom.communitymanager.impl.OrganizationManagerImpl

- All Implemented Interfaces:
    OrganizationManager

      public class OrganizationManagerImpl
      extends OrganizationsUtil
      implements OrganizationManager

  Version:
    1.0 - Jan 4 2012
  Author:
    Massimiliano Assante, massimiliano.assante@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ORGANIZATION_DEFAULT_LOGO` FIXME public as generic resource

    - ### Fields inherited from class org.gcube.portal.custom.communitymanager.OrganizationsUtil

      `DEFAULT_COMPANY_WEB_ID, ROOT_ORG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `createVO(String voName, String voDesc, GCUBESiteLayout siteLayout, String themeid)` create a VO with no parent (root VO)
    `long` | `createVO(String voName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `long` | `createVRE(String voName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `static OrganizationManagerImpl` | `get()`
    `static OrganizationManagerImpl` | `getInstance(org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class org.gcube.portal.custom.communitymanager.OrganizationsUtil

      `addManagerRole, addManagerRole, addUserToGroup, createLayout, createRole, getCompany, getDefaultCompanyWebId, getDefaultPortlets, getgCubeThemeId, getRootOrganizationName, getTomcatFolder, getVREBelongingPortlets, validateUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORGANIZATION_DEFAULT_LOGO

          protected static final String ORGANIZATION_DEFAULT_LOGO

      FIXME public as generic resource
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static OrganizationManagerImpl get()

      Returns:
        the singleton

    - #### getInstance

          public static OrganizationManagerImpl getInstance(org.gcube.application.framework.core.session.ASLSession session)

      Parameters:
        `session` - the session
      Returns:
        the singleton

    - #### createVO

          public long createVO(String voName,
                      String voDesc,
                      long parentid,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      Specified by:
        `createVO` in interface `OrganizationManager`
      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

    - #### createVO

          public long createVO(String voName,
                      String voDesc,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      create a VO with no parent (root VO)
      Specified by:
        `createVO` in interface `OrganizationManager`
      Parameters:
        `voName` - the voName
        `voDesc` - -
      Returns:
        the id of the created VO

    - #### createVRE

          public long createVRE(String voName,
                       String voDesc,
                       long parentid,
                       GCUBESiteLayout siteLayout,
                       String themeid)

      Specified by:
        `createVRE` in interface `OrganizationManager`
      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

Copyright © 2014. All Rights Reserved.